.panel--black,
.panel--white,
.category-card__panel,
.fancybox-is-open .fancybox-bg,
.js-promo-slider .slick-arrow,
.news-detail__title,
.article__share .ya-share2__item_more.ya-share2__item_has-pretty-view .ya-share2__link_more {
    backdrop-filter: blur(12px);
    -webkit-backdrop-filter: blur(12px);
}

.switch span,
.header.fixed,
.toast,
.header__actions-mobile .header__actions,
.cookies__accept {
    backdrop-filter: blur(18px);
    -webkit-backdrop-filter: blur(18px);
}

.switch span {
    background: var(--black-transparent);
}

.toast,
.header.fixed,
.header__actions-mobile .header__actions,
.cookies__accept {
    background: var(--white-transparent);
}

.search-widget__input {
    background: var(--white-transparent);
    backdrop-filter: blur(18px);
    -webkit-backdrop-filter: blur(18px);
}

.night-theme.header--transparent .header.fixed .search-widget__input,
.night-theme:not(.header--transparent) .header .search-widget__input {
    color: var(--black);
}

.night-theme.header--transparent:not(.is-menu) .header:not(.fixed) .search-widget__input::-webkit-input-placeholder {
    color: var(--white);
}

.night-theme.header--transparent:not(.is-menu) .header:not(.fixed) .search-widget__input::-moz-placeholder {
    color: var(--white);
}

.night-theme.header--transparent:not(.is-menu) .header:not(.fixed) .search-widget__input:-ms-input-placeholder {
    color: var(--white);
}

.night-theme.header--transparent:not(.is-menu) .header:not(.fixed) .search-widget__input::-ms-input-placeholder {
    color: var(--white);
}

.night-theme.header--transparent:not(.is-menu) .header:not(.fixed) .search-widget__input::placeholder {
    color: var(--white);
}

@media (min-width: 992px) {
    .night-theme .search-widget__input::-webkit-input-placeholder {
        color: var(--gray2);
    }

    .night-theme .search-widget__input::-moz-placeholder {
        color: var(--gray2);
    }

    .night-theme .search-widget__input:-ms-input-placeholder {
        color: var(--gray2);
    }

    .night-theme .search-widget__input::-ms-input-placeholder {
        color: var(--gray2);
    }

    .night-theme .search-widget__input::placeholder {
        color: var(--gray2);
    }
}